# Orderbook

All endpoints that begin with `/orderbook/` are related to actions surrounding *<mark style="color:orange;">quotes</mark>* and *<mark style="color:orange;">trading</mark>* on the orderbook. The core trading logic and the required data needed to trade can be found within this entity.

{% hint style="info" %}
While receiving quotes does not require any additional coding logic other than a rest api call, please be aware that when trading, it is important to make sure that you have approved the movement of your collateral prior to filling an order.  More details on this can be found in [Collateral Approval](/developer-center/apis/containerized-api/api-reference/account/collateral-approval.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.premia.blue/developer-center/apis/containerized-api/api-reference/orderbook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
